Ask Your Question
3

can someone help me, installing artoolkit on ubuntu 12.04 and ros hydro

asked 2013-09-16 09:55:43 -0600

anton gravatar image

updated 2013-09-16 18:12:03 -0600

tfoote gravatar image

Hi I tried to install ARToolKit with the ar_pose package on Ubuntu 12.04.3 64 bit. Can someone help me to install artoolkit? I tried to install ccny_mav_tool and ccny_vision but the sites are not available.

make[3]: Entering directory `/home/afeldmann/ros/ar_tools/artoolkit/build/artoolkit/lib/SRC/Gl'
cc -c -O -I/usr/X11R6/include -I/usr/src/linux-headers-3.8.0-30-generic/include -I../../../include gsub.c
ar rs ../../libARgsub.a gsub.o
rm -f gsub.o
cc -c -O -I/usr/X11R6/include -I/usr/src/linux-headers-3.8.0-30-generic/include -I../../../include gsubUtil.c
In file included from ../../../include/AR/sys/videoLinuxV4L.h:23:0,
                 from ../../../include/AR/video.h:102,
                 from gsubUtil.c:19:
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:14:26: error: conflicting types for ‘fd_set’
/usr/include/x86_64-linux-gnu/sys/select.h:76:5: note: previous declaration of ‘fd_set’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:15:25: error: conflicting types for ‘dev_t’
/usr/include/x86_64-linux-gnu/sys/types.h:61:17: note: previous declaration of ‘dev_t’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:19:17: error: conflicting types for ‘nlink_t’
/usr/include/x86_64-linux-gnu/sys/types.h:76:19: note: previous declaration of ‘nlink_t’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:25:26: error: conflicting types for ‘timer_t’
/usr/include/time.h:104:19: note: previous declaration of ‘timer_t’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:45:26: error: conflicting types for ‘loff_t’
/usr/include/x86_64-linux-gnu/sys/types.h:45:18: note: previous declaration of ‘loff_t’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:111:17: error: conflicting types for ‘uint64_t’
/usr/include/stdint.h:56:27: note: previous declaration of ‘uint64_t’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:112:17: error: conflicting types for ‘u_int64_t’
/usr/include/x86_64-linux-gnu/sys/types.h:204:1: note: previous declaration of ‘u_int64_t’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:113:17: error: conflicting types for ‘int64_t’
/usr/include/x86_64-linux-gnu/sys/types.h:198:1: note: previous declaration of ‘int64_t’ was here
/usr/src/linux-headers-3.8.0-30-generic/include/linux/types.h:134:23: error: conflicting types for ‘blkcnt_t’
/usr/include/x86_64-linux-gnu/sys/types.h:236:20: note: previous declaration of ‘blkcnt_t’ was here
make[3]: *** [../../libARgsubUtil.a(gsubUtil.o)] Error 1
make[3]: Leaving directory `/home/afeldmann/ros/ar_tools/artoolkit/build/artoolkit/lib/SRC/Gl'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/afeldmann/ros/ar_tools/artoolkit/build/artoolkit/lib/SRC'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/afeldmann/ros/ar_tools/artoolkit/build/artoolkit'
make: *** [installed] Error 2
afeldmann@Lapi:~/ros$ cd
afeldmann@Lapi:~$ echo "make[3]: Entering directory `/home/afeldmann/ros/ar_tools/artoolkit/build/artoolkit/lib/SRC/Gl'"
cc -c -O -I/usr/X11R6/include -I/usr/src/linux-headers-3.8.0-30-generic/include -I../../../include gsub.c ar rs ../../libARgsub.a gsub.o rm -f ...
(more)
edit retag flag offensive close merge delete

2 Answers

Sort by » oldest newest most voted
2

answered 2013-11-02 06:48:08 -0600

Artem gravatar image

updated 2013-11-02 07:24:43 -0600

  1. Open ./ar_tools/artoolkit/build/artoolkit/Configure

  2. Remove -I/usr/src/linux-headers-"$(uname -r)"/include from CFLAG line 79

  3. Rebuild.

Original artoolkit doesn't have this problem. The source of the problem is the patch file https://github.com/IHeartEngineering/ar_tools/blob/master/artoolkit/patch_auto_config. On line 28 they added linux-heades for some reason. I've sent a pull request.

edit flag offensive delete link more

Comments

error 404 to "https://github.com/IHeartEngineering/ar_tools/blob/master/artoolkit/patch_auto_config"...I have the same probleme...the git for fuerte is unavailable...anyone have the solution?

happylulu gravatar imagehappylulu ( 2014-04-29 12:28:47 -0600 )edit
1

answered 2013-09-16 18:14:29 -0600

tfoote gravatar image

Your errors are releated to the fact that you have two sets of linux kernel headers in your path that you are including. In most cases you shouldn't be adding /usr/src/linux-headers* to your path.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-09-16 09:55:43 -0600

Seen: 1,516 times

Last updated: Nov 02 '13